HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Update a NTP Client Configuration by UUID

Update a NTP Client Configuration object by its UUID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 32 and 36

UUID of NTP Client Configuration object to update

Body Params

NTP Client Configuration To create a NTP Client Configuration attributes with:

  • description - describes this NTP object.
  • name - names this NTP object.
  • entry_list - list of entities. Each contains.
  • server - address of NTP server in IPv4, IPv6 or hostname format.
  • key_id - key for authentication
  • key_password - encrypted password for authentication
  • key_type -encrypted key type for authentication
  • trust_enable - enable trust settings for key

To create a NTP Client Configuration's associations with:

  • fabric_uuids: UUIDs of any fabrics with which this configuration is associated.
  • switch_uuids: UUIDs of any switches with which this configuration is associated.
string
string
required
entry_list
array of objects
required
length ≥ 1
entry_list*
string
required

Hostname in IPv4, IPv6 or hostname format

string | null
enum

Type of the burst mode to use (if any).

Allowed:
boolean
Defaults to true

Preference flag to suggest for this association.

ntp_keys
object
switch_uuids
array
required

UUIDs of switches this NTP Client Configuration is applied to. To exclude, specify value as the empty array: []

switch_uuids*
fabric_uuids
array
required

UUIDs of fabrics this NTP Client Configuration is applied to. When using fabric_uuid the configuration will be applied to all switches in the fabric. If the fabric is expanded the new switch will automatically pick up the new settings covered by fabric_uuid. To exclude, specify value as the empty array: []

fabric_uuids*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0